.\"	$NetBSD: mopd.8,v 1.13 2009/10/04 20:53:23 joerg Exp $
.\"
.\" Copyright (c) 1993-96 Mats O Jansson.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 23, 2004
.Dt MOPD 8
.Os
.Sh NAME
.Nm mopd
.Nd Maintenance Operations Protocol (MOP) Loader Daemon
.Sh SYNOPSIS
.Nm
.Op Fl adf
.Op Fl s Ar mopdir
.Op Ar interface
.Op Ar ...
.Sh DESCRIPTION
.Nm
services
.Tn DEC
Maintenance Operations Protocol
.Pq Tn MOP
Load requests on the Ethernet connected to
.Ar interface
or all interfaces if
.Fl a
option is given.
.Pp
In a load request received by
.Nm
a filename can be given by the client.
This is the normal case for terminal servers.
If a filename isn't in the client load request
.Nm
must know what image to load.
.Pp
Upon receiving a request,
.Nm
checks if the requested file exists in
.Pa /tftpboot/mop
(unless the
.Fl s
option is given, see below) the filename is normally uppercase and with an
extension of
.Pa .SYS .
If the filename isn't given, the ethernet address of the target is used as
filename, e.g.
.Pa 08002b09f4de.SYS
and it might be a soft link to another file.
.Pp
.Nm
supports two kinds of files.
The first type that is check is if the file is in
.Xr a.out 5
format.
If not, a couple of Digital's formats are checked.
.Pp
In normal operation,
.Nm
forks a copy of itself and runs in the background.
Anomalies and errors are reported via
.Xr syslog 3 .
.Sh OPTIONS
.Bl -tag -width indent
.It Fl a
Listen on all the Ethernets attached to the system.
If
.Fl a
is omitted, an interface must be specified.
.It Fl d
Run in debug mode, with all the output to stdout.
The process will run in the foreground.
.It Fl f
Run in the foreground.
.It Fl s
Change the directory to look for files in from
.Pa /tftpboot/mop
to
.Ar mopdir .
.El
.Sh FILES
.Bl -tag -width Pa -compact
.It Pa /tftpboot/mop
.El
.Sh NOTES
.Nm
automatically appends an upper case
.Pa .SYS
to the filename provided by the client.
The typical client sends the requested file name in upper case.
.Sh SEE ALSO
.Xr mopchk 1 ,
.Xr mopcopy 1 ,
.Xr mopprobe 1 ,
.Xr moptrace 1 ,
.Xr bpf 4
.Rs
.%J DECnet Digital Network Architecture Phase IV
.%R Maintenance Operations Functional Specification V3.0.0
.%N AA-X436A-TK
.Re
.Rs
.%J DECnet Digital Network Architecture
.%R Maintenance Operations Protocol Functional Specification V4.0.0
.%N EK-DNA11-FS-001
.Re
.Sh AUTHORS
.An Mats O Jansson Aq moj@stacken.kth.se
